• This forum has a zero tolerance policy regarding spam. If you register here to publish advertising, your user account will be deleted without further questions.

Problem beim Sicherheitsupdate einspielen

belinea

Registered User
Wenn ich versuche mit

Code:
apt-get upgrade

alle Pakete auf aktuellen Stand zu bekommen, erscheint folgende Fehlermeldung:

Code:
Richte kernel-image-2.4.27-2-386 ein (2.4.27-11) ...
/usr/sbin/mkinitrd: Cannot determine SCSI module
Failed to create initrd image.
dpkg: Fehler beim Bearbeiten von kernel-image-2.4.27-2-386 (--configure):
 Unterprozess post-installation script gab den Fehlerwert 9 zurück
Fehler traten auf beim Bearbeiten von:
 kernel-image-2.4.27-2-386
E: Sub-process /usr/bin/dpkg returned an error code (1)

Kann ich denn das Paket kernel-image-2.4.27-2-386 explitizt von dem upgarde ausnehemen, damit wenigsten die andere Pakete aktualisiert werden können?

Danke schonmal für eure Hilfe.
 
Habe jetzt

Code:
echo kernel-image-2.4.27-2-386 hold | dpkg --set-selections
gemacht und hinterher wieder ein apt-get upgrade. Der gleiche Fehler kommt immer noch.
 
Hallo!
Du hast die Version auf hold gesetzt die er upgraden will.

mfG
Thorsten
 
Ahhhhh :D

Danke

edit: Oh Mann, auch mit

Code:
echo kernel-image-2.4.27-[B]11[/B]-386 hold | dpkg --set-selections
kein Erflog. :confused:
 
Last edited by a moderator:
Mal eine dumme Frage: Braucht man das Paket überhaupt? Oder kann ich einfach versuchen es zu entfernen, da will er es auch nicht mehr updaten.
 
Obwohl das Paket kernel-image auf HOLD gesetzt ist.

hF kernel-image-2 2.4.27-12 Linux kernel image for version 2.4.27 on 386

spuckt er bei jeder APT-GET Aktion eine eine Fehlermedlung aus.

dpkg: Fehler beim Bearbeiten von kernel-image-2.4.27-2-386 (--configure):
 
Und da hätte ich noch eine Frage. Warum werden die Pakete alle zurückgehalten?

Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut... Fertig
Die folgenden Pakete sind zurückgehalten worden:
adduser apt apt-utils aptitude at base-passwd bash bc bind9-host binutils bison bsdmainutils bsdutils
console-common console-tools coreutils cpio cpp cpp-3.3 cron dash dc debhelper debianutils discover1
discover1-data dnsutils dpkg dpkg-dev dselect e2fslibs e2fsprogs eject exim4 exim4-base exim4-daemon-light
fdutils file findutils finger flex ftp g++ g++-3.3 gcc gcc-3.3 gcc-3.3-base gdb gnupg grep groff-base grub gzip
hostname html2text info initscripts iproute iptables iputils-ping ispell less libacl1 libapt-pkg-perl libattr1
libblkid1 libbz2-1.0 libc6 libc6-dev libcomerr2 libconsole libdb1-compat libdb3 libdb4.2 libdb4.3 libdiscover1
libgcc1 libgcrypt11 libgnutls11 libgpg-error0 libgpmg1 libidn11 libkrb53 libldap-2.2-7 libldap2
liblocale-gettext-perl liblockfile1 liblzo1 libmagic1 libncurses5 libncursesw5 libnewt0.51 libnfsidmap1
libnss-db libopencdk8 libpam-modules libpam0g libpcre3 libreadline4 libreadline5 librpm4 libsasl2 libssl0.9.7
libstdc++5 libstdc++5-3.3-dev libtasn1-2 libtext-charwidth-perl libtext-iconv-perl libtextwrap1 libuuid1
libwrap0 libx11-6 locales login logrotate lsof m4 make man-db module-init-tools modutils mount mpack mtools mutt
nano ncurses-base ncurses-bin netbase netkit-inetd nfs-common passwd patch pciutils perl perl-base perl-modules
portmap procmail procps psmisc python-newt python2.3 rcs rpm sed ssh sysvinit tar tasksel tcl8.4 tcpd tcsh
telnet texinfo tk8.4 traceroute util-linux vim vim-common w3m wget whiptail whois xfree86-common zlib1g
0 aktualisiert, 0 neu installiert, 0 zu entfernen und 166 nicht aktualisiert.
1 nicht vollständig installiert oder entfernt.
Es müssen 0B Archive geholt werden.
 
Hallo belinea,

hast du zufällig den vServer bei vanager?

Guck mal in deine /etc/apt/sources.list , ich wette da steht testing anstatt stable bzw.sarge drin! Ich gehe mal davon aus das du Sarge behalten willst also die testing - Einträge auf stable bzw. sarge ändern!

Kannst ja mal deine sources.list hier posten!
 
Ja Danke, hatte das Posting auch gerade hier im Forum gefunden.

Habe jetzt meine sources.list aktualisiert und "testing" auf "stable" geändert.
 
Back
Top